com.google.gwt.user.client.ui

## Class FormSubmitEvent

- java.lang.Object
- - java.util.EventObject
  - - com.google.gwt.user.client.ui.FormSubmitEvent

All Implemented Interfaces:
  java.io.Serializable

    public class FormSubmitEvent
    extends java.util.EventObject

Event object containing information about form submission events.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`FormSubmitEvent(FormPanel source)` Creates a new event with information about the source.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isCancelled()` Gets whether this form submit will be canceled.
`(package private) boolean` `isSetCancelledCalled()`
`void` `setCancelled(boolean cancel)` Sets whether the form submit will be canceled.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FormSubmitEvent

    public FormSubmitEvent(FormPanel source)

Creates a new event with information about the source.

Parameters:
  `source` - the object sending the event

### Method Detail

#### isCancelled

    public boolean isCancelled()

Gets whether this form submit will be canceled.

Returns:
  `true` if the form submit will be canceled

#### setCancelled

    public void setCancelled(boolean cancel)

Sets whether the form submit will be canceled.

Parameters:
  `cancel` - `true` to cancel the submit

#### isSetCancelledCalled

    boolean isSetCancelledCalled()